<?php

namespace Daylight\Core\Modules\Payment\Events\Status;

use Daylight\Core\Models\Order;
use Daylight\Core\Modules\Payment\Events\Contracts\PaymentStatusUpdated;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class PaymentSucceeded implements PaymentStatusUpdated
{
    use Dispatchable, SerializesModels;

    public function __construct(
        public Order $order
    ) {
        //
    }

    public function getOrder(): Order
    {
        return $this->order;
    }
}
